import { renderToString } from 'katex';
import { FormulaStyle } from './style';
export function Formula(options, renderer, content) {
    const classes = this.theme.classes(FormulaStyle);
    const marker = renderer.create("div", null, content);
    const holder = renderer.create("div", { class: classes.formula
            + ` ${options && options.align === 'center' ? 'center' : ''}`
            + ` ${options && options.size === 'large' ? 'big' : ''}` });
    marker.childNodes.forEach((child, index) => {
        const line$ = renderer.create("div", { "data-formula": child.textContent || '', class: classes.line, _innerHTML: renderToString((child.textContent || '').trim()) });
        renderer.render(renderer.create("span", { class: "counter" }, index + 1)).on(line$);
        renderer.render(line$).on(holder);
    });
    return holder;
}
export * from './style';
export * from './post';
//# sourceMappingURL=index.js.map